summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author alkos333 <me@alkos333.net>2010-05-11 22:55:36 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:36 +0200
commit1f750cab57ee9154b25f76a5136f173fffd1ef77 (patch)
tree58bbcf836939a11bd507fd5c224a6352510f275a /system
parent280098ec662845272fbd833a2dacb512be18f560 (diff)
downloadslackbuilds-1f750cab57ee9154b25f76a5136f173fffd1ef77.tar.gz
slackbuilds-1f750cab57ee9154b25f76a5136f173fffd1ef77.tar.xz
system/vncviewer: Added to 12.1 repository
Diffstat (limited to 'system')
-rw-r--r--system/vncviewer/README8
-rw-r--r--system/vncviewer/slack-desc19
-rw-r--r--system/vncviewer/vncviewer.SlackBuild87
-rw-r--r--system/vncviewer/vncviewer.info8
4 files changed, 122 insertions, 0 deletions
diff --git a/system/vncviewer/README b/system/vncviewer/README
new file mode 100644
index 0000000000..03cb339536
--- /dev/null
+++ b/system/vncviewer/README
@@ -0,0 +1,8 @@
+vncviewer is an Xt-based client application for the VNC (Virtual
+Network Computing) system. It can connect to any VNC-compatible server
+such as Xvnc or WinVNC, allowing you to control desktop environment of
+a different machine.
+
+This conflicts with tightvnc. If you need the full functionality of VNC,
+(server and all) then use that build. This build is in case you just need
+the client only.
diff --git a/system/vncviewer/slack-desc b/system/vncviewer/slack-desc
new file mode 100644
index 0000000000..0d53f8ada2
--- /dev/null
+++ b/system/vncviewer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+vncviewer: vncviewer (tightvnc client only)
+vncviewer:
+vncviewer: Virtual Network Computing (VNC) is a remote display system which
+vncviewer: allows you to view a desktop environment from anywhere on the
+vncviewer: Internet and from a wide variety of machine architectures.
+vncviewer: TightVNC is an enhanced VNC distribution. This package contains a
+vncviewer: client which will allow you to connect to other desktops running a
+vncviewer: VNC or a TightVNC server.
+vncviewer:
+vncviewer: tightvnc home: http://www.tightvnc.com/
+vncviewer:
diff --git a/system/vncviewer/vncviewer.SlackBuild b/system/vncviewer/vncviewer.SlackBuild
new file mode 100644
index 0000000000..e21779010e
--- /dev/null
+++ b/system/vncviewer/vncviewer.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Based off of SlackBuild.org script of tightvnc
+# Copyright 2006-2007 Brian Reichert <rignes@pobox.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by "alkos333" to create vncviewer package.
+# Modified by SlackBuilds.org
+
+PRGNAM=vncviewer
+VERSION=1.3.9
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf vnc_unixsrc
+tar xvf $CWD/tightvnc-${VERSION}*.tar.bz2 || exit 1
+cd vnc_unixsrc || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd libvncauth || exit 1
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ /usr/bin/xmkmf || exit 1
+ make || exit 1
+cd -
+
+cd vncviewer || exit 1
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ /usr/bin/xmkmf || exit 1
+ make || exit 1
+cd -
+
+# Manual installation
+install -D -s -m 755 vncviewer/vncviewer $PKG/usr/bin/vncviewer
+install -D -m 644 vncviewer/vncviewer.man $PKG/usr/man/man1/vncviewer.1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENCE.TXT README WhatsNew $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/vncviewer/vncviewer.info b/system/vncviewer/vncviewer.info
new file mode 100644
index 0000000000..c7e12eeef2
--- /dev/null
+++ b/system/vncviewer/vncviewer.info
@@ -0,0 +1,8 @@
+PRGNAM="vncviewer"
+VERSION="1.3.9"
+HOMEPAGE="http://www.tightvnc.com/"
+DOWNLOAD="http://downloads.sourceforge.net/vnc-tight/tightvnc-1.3.9_unixsrc.tar.bz2"
+MD5SUM="49a0748ea52793f2e3069e05af28f716"
+MAINTAINER="alkos333"
+EMAIL="me@alkos333.net"
+APPROVED="dsomero,Erik Hanson"